import { getQuestionInfoByIds, CollectionAndWrong } from "@/api";

/**收藏与错题列表模型 */
export class CollectionModel {
  private collectionApi;

  constructor(apiType: CollectionAndWrongType.type) {
    this.collectionApi = new CollectionAndWrong(apiType);
  }

  /**获取列表 */
  async getList(params: CollectionAndWrongType.ListParams) {
    const collectionListRes = await this.collectionApi.getList(params);
    if (collectionListRes.rows.length > 0) {
      const ids = collectionListRes.rows.map((item) => item.questionId);
      const questions = await getQuestionInfoByIds({
        ids,
      });
      return {
        total: collectionListRes.total,
        rows: questions.rows,
        collectionList: collectionListRes.rows,
      };
    } else {
      return {
        total: collectionListRes.total,
        rows: [],
        collectionList: collectionListRes.rows,
      };
    }
  }
}
